=== src/test/CMakeLists.txt ===
find_package(Java COMPONENTS Development)
if(Java_Development_FOUND)
  add_subdirectory(java)
endif(Java_Development_FOUND)
add_subdirectory(cpp)
