=== src/main/resources/CMakeLists.txt ===
# Configure
if(WIN32)
target_sources(log4cxx
  PRIVATE
  log4cxx.rc
)
endif()
