=== src/test/cpp/customlogger/CMakeLists.txt ===
add_executable(xloggertestcase xloggertestcase.cpp xlogger.cpp)
set(ALL_LOG4CXX_TESTS ${ALL_LOG4CXX_TESTS} xloggertestcase PARENT_SCOPE)
