## log4cxx 0.10.0

=== debian/changelog ===
log4cxx (0.10.0-4ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/170-fix-socket-thread-not-starting.patch: Patch from
      Peter Soertens to fix an issue with the socket reconnection thread not
      starting.
    - Pass dh_makeshlibs -V to have stronger version dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Nov 2014 12:25:51 +0000

log4cxx (0.10.0-4) unstable; urgency=medium

  * Remove unneeded B-Ds on graphviz, gsfonts and zlib1g-dev
  * Fix override in the *-doc-package regarding doxygen's jquery.js

 -- Tobias Frost <tobi@debian.org>  Wed, 30 Jul 2014 22:18:30 +0200

log4cxx (0.10.0-3) unstable; urgency=medium

  * Remove d/TODO
  * Adding d/gbp.conf to repositor
  * Remove config.sub/guess explicitly in clean target to avoid FTBFS on arm64
    (Closes: #752035)
  * Clean also generated ltmain.sh

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 19 Jun 2014 15:34:19 +0200

log4cxx (0.10.0-2) unstable; urgency=medium

  * New maintainer. (Closes: #740507)
  * complete debian/ overhaul
    - switch from dpatch to quilt
    - switch to d/compat 9
    - switch to short debhelper format (d/rules)
    - switch to dh_autoreconf
    - d/source/format 3.0 quilt (Closes: #664399)
    - rewrite d/copyright in dep5 format
    - drop B/D on dpatch (fixes also a lintian error)
    - enable multiarch support
    - work a on package description to make linitan happier
      (all packages had same long descriptions and short one started with "A")
    - Add VCS* information to d/control
    - update to S/V 3.9.5 (no changes necessary after redoing the packaging)
    - adding misc:depends to d/control
    - Remove B/D on c++-compiler (which is a virtual package and not needed)
    - Add signature verifcation for source:
       added pgp key from file KEYS to upstream/signing-key.asc
       added support in d/watchfile
  * New patch 130-LOG4CXX-385.patch to fix FTBFS
  * Fix "Random crashes on exit()", new patch 140-bugfix-LOGCXX-322.patch,
    taken from the BTS -- thanks to Stephan Sürken (Closes: #578649)
  * New patch 150-bugfix-LOGCXX-365.patch to fix testsuite failure
  * Set priority of the -doc and -dev package to extra
  * New patch 160_use_packaged_find_apur_m4.patch, to use the packaged m4
    macros to detect libapr
  * Add several lintian overrides, e.g for doxygen stuff, false-positive
    regarding the upstream signing key, no changelogs available.

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 15 Mar 2014 21:22:26 +0100

log4cxx (0.10.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Use the autotools-dev dh addon to update config.guess/config.sub for new
    ports (closes: #548925, #726387).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 13:55:37 +0000

log4cxx (0.10.0-1.2ubuntu3) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Oct 2013 23:27:48 +0100

log4cxx (0.10.0-1.2ubuntu2) precise; urgency=low

  * Pass dh_makeshlibs to have stronger version dependencies.
    (LP: #945112)
  * d/rules: Run unit tests on build. (LP: #945118). d/control: add
    ant, ant-contrib-cpptasks, and zip all used to run unit tests.
  * d/patches/91-bugfix-LOGCXX-365.dpatch: Fixes test suite to run post
    2010. Upstream bug LOGCXX-365, fixed in next release.

 -- Clint Byrum <clint@ubuntu.com>  Fri, 02 Mar 2012 14:54:05 -0800

log4cxx (0.10.0-1.2ubuntu1) oneiric; urgency=low

  * Merge from debian/unstable, new changes:
    - debian/patches/130-bugfix-LOGCXX-322.dpatch:
      patch from Stephan Sürke to fix a potential segfault on exit
      (Closes: #578649)
    - debian/patches/140-fix-socket-thread-not-starting.dpatch:
      patch from Peter Soertens to fix an issue with the socket
      reconnection thread not starting (LP: #785134)

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 03 Jul 2011 10:22:17 +0000

log4cxx (0.10.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #522197, #622538).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 15:11:52 +0200

log4cxx (0.10.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/120-gcc-4.4.dpatch added, fixes FTBFS with
    GCC 4.4, thanks to Martin Michlmayr (Closes: #510759)

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 17:10:21 +0100

log4cxx (0.10.0-1) unstable; urgency=low

  * New maintainer (Closes: #491015)
  * New Upstream Release (Closes: #474138, #483191).

  * Upstream release no longer uses libxml2 (Closes: #475891, #416758)

  * debian/changelog: updated with new changes
  * debian/watch: added watch file for uscan upstream version monitoring
  * debian/control: added c++-compiler, libapr1-dev, and libaprutil1-dev to
    Build-Depends
  * debian/control: updated standards version to 3.0.0 (per lintian)
  * debian/control: updated package names to log4cxx10*
  * debian/control: added replaces and conflicts for -dev packages
    to allow upgrade from liblog4cxx9-dev
  * debian/control: added Homepage field to source package
  * debian/control: changed debhelper version to >=5
  * debian/control: set conflict for liblog4cxx10-dev to liblog4cxx9-dev
  * debian/control: added depends for liblog4cxx10-dev to libapr1-dev and
    libaprutil1-dev
  * debian/copyright: updated source location
  * debian/copyright: removed apache license and referenced
    /usr/share/common-licenses/Apache-2.0
  * debian/compat: changed to compatibility level 5 (recommended level) but
    could be set back to 4 if someone tests it
  * debian/docs: removed missing upstream files NEWS, README
  * debian/liblog4cxx9*: moved to liblog4cxx10*
  * debian/liblog4cxx10-doc.doc-base: changed name and install locations from
    liblog4cxx9-doc to liblog4cxx10-doc
  * debian/liblog4cxx10-doc.doc-base: changed section from Apps/Programming to
    Programming/C++ per lintian warning

