=== debian/control ===
Source: log4cxx
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
Homepage: http://logging.apache.org/log4cxx/index.html
Vcs-Git: git://gitorious.org/log4cxx-debian/log4cxx-debian.git
Vcs-Browser: https://gitorious.org/log4cxx-debian/log4cxx-debian
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               libapr1-dev,
               libaprutil1-dev
Standards-Version: 3.9.5

Package: liblog4cxx10-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libapr1-dev,
         libaprutil1-dev,
         liblog4cxx10 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: liblog4cxx9-dev
Replaces: liblog4cxx9-dev
Suggests: liblog4cxx10-doc (= ${source:Version}), pkg-config
Description: Logging library for C++ (development files)
 Log4cxx is the C++ port of log4j, a logging framework for JAVA.
 Log4cxx attempts to mimic log4j usage as much as the language will
 allow and to be compatible with log4j configuration and output formats.
 .
 This package provides the development files.

Package: liblog4cxx10
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Logging library for C++
 Log4cxx is the C++ port of log4j, a logging framework for JAVA.
 Log4cxx attempts to mimic log4j usage as much as the language will
 allow and to be compatible with log4j configuration and output formats.

Package: liblog4cxx10-doc
Section: doc
Priority: extra
Architecture: all
Depends: base-files (>=4.0.4), ${misc:Depends}
Description: Documentation for log4cxx
 Log4cxx is the C++ port of log4j, a logging framework for JAVA.
 Log4cxx attempts to mimic log4j usage as much as the language will
 allow and to be compatible with log4j configuration and output formats.
 .
 This package provides doxygen documentation for the library.
