=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the log4cxx logging library
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr

override_dh_auto_clean:
	! [ -f Makefile ] || make distclean


override_dh_auto_test:
	# Run test, but for now, ignore results.
	# In Debian the testsuite was never run before, so no loss. To avoid unwanted surprises
	# I'll better first ignore results.
	-dh_auto_test

override_dh_makeshlibs:
	dh_makeshlibs -V
