=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# this is the main Apache server as far as I can tell
# dists are in separate directories by version number
opts=pgpsigurlmangle=s/$/.asc/ http://www.apache.org/dist/logging/log4cxx/(?:[\d\.]+)/apache-log4cxx-([\d\.]+)\.tar\.gz
