## log4cxx 0.11.0

=== debian/changelog ===
log4cxx (0.11.0-2+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Security fixes for CVE-2025-54812 & CVE-2025-54813 from upstream:
    - d/p/CVE-2025-54812*: (Closes: #1111879)
      + Escape any logger name '&' or '"' in html attribute data (PR#509)
      + Escape any thread name '&' or '"' in html attribute data (PR#514)
    - d/p/CVE-2025-54813*: (Closes: #1111881)
      + Escape control characters in JSONLayout data (PR#512)

 -- Lukas Märdian <slyon@debian.org>  Sun, 28 Sep 2025 22:25:47 +0200

log4cxx (0.11.0-2) unstable; urgency=medium

  * Upload to unstable to start the transition.
    (Transition Bug #970402)

 -- Tobias Frost <tobi@debian.org>  Tue, 15 Sep 2020 22:39:03 +0200

log4cxx (0.11.0-1) experimental; urgency=medium

  * Upload to experimental due to soname bump.
  * New upstream release. (Closes: #513759)
    - Drop all patches except 160_use_packaged_find_apur_m4.patch, as
      upstream has applied them in the new version.
    - The m4 directory has been moved to src, so adapt said patch for new
      location. Also, d/clean updated to reflect this change.
    - The new upstream version requires a SONAME bump on the packages.
    - Remove obsolete overrides from source/lintian-overrides
    - Override some lintian false positives about missing code.
  * Updating upstream keyring.
  * Clean more files using d/clean
  * Temporarily disable a network-based test.
  * Fix liblog4cxx-doc.docs to find doxygen docs.
  * Remove override for dh_auto_test
  * Minify upstream keyring to fix public-upstream-key-not-minimal.
  * Hint dh_installdocs to install into the right package.
  * Enable CI on salsa.d.o
  * Update autopkgtest.

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Aug 2020 00:13:04 +0200

log4cxx (0.10.0-16) sid; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_ARTIFACTS instead of ADT_ARTIFACTS
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Tobias Frost ]
  * Use debhelper-compat instead of d/compat; bump compat to level 13.
    - put the static library into debian/non-installed.
  * Bump S-V to 4.5.0, no changes.
  * Remove -Wl,--as-needed from d/rules, it is default now in the toolchain.

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Aug 2020 19:46:18 +0200

log4cxx (0.10.0-15) sid; urgency=medium

  * Make the build reproducible, thanks lamby for the patch. (Closes: #901615)
  * Bump S-V to 4.2.1 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sun, 26 Aug 2018 16:43:21 +0200

log4cxx (0.10.0-14) sid; urgency=medium

  * Update copyright years.
  * Replace dependency for autopkgtests on liblog4cxx10-dev with unversioned
    one. Thanks to Paul Genvers for the report. (Closes: #905331)
  * Also drop unneeded dependency for autopkgtest on build-essential.
  * Bump S-V 4.2.0
    - Add "Rules-Require-Root: no" to d/control.

 -- Tobias Frost <tobi@debian.org>  Fri, 03 Aug 2018 18:07:05 +0800

log4cxx (0.10.0-13) sid; urgency=medium

  * Updated repository location after move to salsa.d.o.
  * Bump S-V to 4.1.3, needed change:
    - Remove Priority:extra from d/control, as this priority is obsolete.
  * Removing transitional packages.
  * Bump compat level to 11
    - Fix liblog4cxx-doc.doc-base, as docs are now under
      /usr/share/doc/log4cxx-dev/html.
  * Move source.lintian-overrides to source dir.
  * Remove Break/Conflicts on packages already removed in oldstable.
  * Cleanup obsolete lintian-overrides.
  * Install NOTICE also into the doc directories, as required by the
    license.
  * Install examples into the -dev package.
  * Update patch metadatas and add dep3-headers if not already there.
  * Remove versioned dependency on base-files for liblog4cxx-doc, as
    the version constraint is fullfilled long ago already.
  * Add grapviz to Build-Depends-Indep, to complete doxygen.

 -- Tobias Frost <tobi@debian.org>  Wed, 04 Apr 2018 23:25:10 +0200

log4cxx (0.10.0-12) sid; urgency=medium

  * Also fix the testsuite with GCC-6.
  * Add Multi-Arch:xxx hints to the doc and dev packages.
  * Change to compat level 10:
    - change d/compat
    - Update B-D on debhelper >10, and remove B-D on dh-autoreconf
      (will be pulled in by debhelper 10)
    - parallel and with-autoreconf switches are now default, remove them
      from d/rules
    - add some lintian override (wrong-positives) about config.(guess|sub)
  * Change Vcs-Git to secure https:// URI
  * New patch 190-spelling-errors.patch
  * Remove some unused lintian overrides
  * Enable harderning

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Oct 2016 13:20:49 +0200

log4cxx (0.10.0-11) sid; urgency=medium

  * Fix FTBFS with GCC-6. (Closes: #811768)
  * Bump S-V to 3.9.8, no changes required.
  * Drop explicit versioned B-D on g++5 and libstdc++-5-dev.

 -- Tobias Frost <tobi@debian.org>  Fri, 01 Jul 2016 20:01:33 +0200

log4cxx (0.10.0-10) sid; urgency=medium

  * Make transitional packages Priority:extra (fixes lintian warning)
  * dep8 autpkgtest: Work around #809661 by redirecting sterr to stdout
  * d/control:
    - remove auto_clean override, it's not needed
    - at least when specifying the buildsystem (debhelper thinks it's ant)
    - override for auto_configure is then also no longer needed

 -- Tobias Frost <tobi@debian.org>  Sat, 02 Jan 2016 15:56:58 +0100

log4cxx (0.10.0-9) sid; urgency=medium

  * Upload to sid, transistion has started. (Closes: #791192)
  * Wrap extended description in d/control.

 -- Tobias Frost <tobi@debian.org>  Mon, 03 Aug 2015 21:27:07 +0200

log4cxx (0.10.0-8) experimental; urgency=medium

  * Upload to experimental
  * Rename doc and dev package to not include soname
  * Prepare library package for gcc5 and cxx11 ABI:
    - rename library package to 10v5
    - make sure to build against gcc5 from experimental
  * Cleanup d/rules

 -- Tobias Frost <tobi@debian.org>  Fri, 10 Jul 2015 07:47:19 +0200

log4cxx (0.10.0-7) unstable; urgency=medium


