=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@ --buildsystem=autoconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_installdocs:
	dh_installdocs --doc-main-package=liblog4cxx-doc -p liblog4cxx-doc
	dh_installdocs --remaining-packages
